package com.test.poi.error;


import java.awt.BorderLayout;
import java.io.FileInputStream;


import javax.swing.JFileChooser;
import javax.swing.JFrame;
import javax.swing.JPanel;

import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.ss.usermodel.Workbook;
import org.apache.poi.ss.usermodel.WorkbookFactory;

@SuppressWarnings("serial")
public class Main extends JFrame {
	
	public Main() {
		super("Main");
		
		getContentPane().add(new JPanel(), BorderLayout.CENTER);
		this.readExcelFile();
	}
	
	public void readExcelFile() {
		
		JFileChooser fileChooser = new JFileChooser(".");
		
		int fileDialogResponse = fileChooser.showOpenDialog(this);
		
		
		if(fileDialogResponse == JFileChooser.APPROVE_OPTION) {

			
			FileInputStream fis;
			try {
				fis = new FileInputStream(fileChooser.getSelectedFile());
				// Open the workbook and then create the FormulaEvaluator and
				// DataFormatter instances that will be needed to, respectively,
				// force evaluation of forumlae found in cells and create a
				// formatted String encapsulating the cells contents.
				Workbook workbook = WorkbookFactory.create(fis);
				
				fis.close();
				
				// Discover how many sheets there are in the workbook....
				int numSheets = workbook.getNumberOfSheets();
				System.out.println("Num sheets: "+ numSheets);
				Sheet sheet = workbook.getSheetAt(0);
				int lastRowNum = sheet.getLastRowNum();
				System.out.println("Num rows: "+ lastRowNum);
				

			} 
			catch(Exception e) {
				e.printStackTrace();
			}
			
		}
		
		
		
		

		
		
		
	}
	
	
	

	public static void main(String[] args) {
		// TODO Auto-generated method stub
		
		
		Main view = new Main();
		view.setVisible(true);
	}

}
